org.h2gis.functions.spatial.distance

## Class MaxDistanceOp.MaxDistanceFilter

- java.lang.Object
- - org.h2gis.functions.spatial.distance.MaxDistanceOp.MaxDistanceFilter

All Implemented Interfaces:
  com.vividsolutions.jts.geom.CoordinateFilter

Enclosing class:
  MaxDistanceOp

    public class MaxDistanceOp.MaxDistanceFilter
    extends Object
    implements com.vividsolutions.jts.geom.CoordinateFilter

### Constructor Summary

Constructors
Constructor and Description
`MaxDistanceFilter(HashSet<com.vividsolutions.jts.geom.Coordinate> coordsToExclude)` Compute the max distance between two geometries

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter(com.vividsolutions.jts.geom.Coordinate coord)`
`com.vividsolutions.jts.geom.Coordinate[]` `getCoordinatesDistance()` Return the maximum distance as two coordinates.
`double` `getDistance()` Return the maximum distance

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaxDistanceFilter

    public MaxDistanceFilter(HashSet<com.vividsolutions.jts.geom.Coordinate> coordsToExclude)

Compute the max distance between two geometries

Parameters:
  `coordsToExclude` -

### Method Detail

#### filter

    public void filter(com.vividsolutions.jts.geom.Coordinate coord)

Specified by:
  `filter` in interface `com.vividsolutions.jts.geom.CoordinateFilter`

#### getDistance

    public double getDistance()

Return the maximum distance

Returns:

#### getCoordinatesDistance

    public com.vividsolutions.jts.geom.Coordinate[] getCoordinatesDistance()

Return the maximum distance as two coordinates. Usefull to draw it as a line

Returns: